'* ------------------------------------------------------- *
'*                       TBSIMUL.BAS                       *
'* Quick Basic Bibliothek zur Simulation von Turbo-Basic-  *
'*               Funktionen und Prozeduren                 *
'*              (c) 1991 Kay Glahn & TOOLBOX               *
'* ------------------------------------------------------- *
DECLARE FUNCTION INSTAT! ()
DECLARE FUNCTION CEIL! (X!)
DECLARE FUNCTION BIN$ (Zahl!)
DECLARE FUNCTION UNBIN! (B$)
DECLARE FUNCTION EXP2! (X!)
DECLARE FUNCTION EXP10! (X!)
DECLARE FUNCTION LOG10! (X!)
DECLARE FUNCTION LOG2! (X!)
DECLARE SUB INCR (Wert1!, Wert2!)
DECLARE SUB DECR (Wert1!, Wert2!)

FUNCTION BIN$ (Zahl)
  Z = Zahl
  DO
    Z = Z / 2
    IF Z = INT(Z) THEN
      B$ = B$ + "0"
    ELSE
      B$ = B$ + "1"
    END IF
    Z = INT(Z)
  LOOP UNTIL Z < 1
  BIN$ = B$
END FUNCTION

FUNCTION CEIL (X)
  CEIL = INT(X * -1) * -1
END FUNCTION

SUB DECR (Wert1, Wert2)
  Wert1 = Wert1 - Wert2
END SUB

FUNCTION EXP10 (X)
  EXP10 = 10 ^ X
END FUNCTION

FUNCTION EXP2 (X)
  EXP2 = 2 ^ X
END FUNCTION

SUB INCR (Wert1, Wert2)
  Wert1 = Wert1 + Wert2
END SUB

FUNCTION INSTAT
  DEF SEG = &H40
  IF PEEK(&H1A) = PEEK(&H1C) THEN
    INSTAT = 0
  ELSE
    INSTAT = -1
  END IF
END FUNCTION

FUNCTION LOG10 (X)
  LOG10 = LOG(X) / LOG(10)
END FUNCTION

FUNCTION LOG2 (X)
  LOG2 = LOG(X) / LOG(2)
END FUNCTION

FUNCTION UNBIN (B$)
  FOR i = 0 TO LEN(B$)
    Zahl = Zahl + 2 ^ i * VAL(MID$(B$, i + 1, 1))
  NEXT
  UNBIN = Zahl
END FUNCTION

'* ------------------------------------------------------- *
'*                  Ende von TBSIMUL.BAS                   *
